For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
      • POSTCreate a token
      • POSTRevoke a token
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
GeneralAccess tokens

Revoke a token

POST
/auth/revoke
POST
/v1/auth/revoke
$curl -X POST https://api.sandbox.monite.com/v1/auth/revoke \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "client_id": "client_id",
> "client_secret": "client_secret",
> "token": "token"
>}'
1{
2 "message": "message"
3}
Revoke an existing token immediately.
Was this page helpful?
Previous

Get partner settings

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
client_idstringRequiredformat: "uuid"

Your partner client ID obtained from the “API Credentials” section of Monite Partner Portal. Note that the sandbox and production environment use different client IDs.

client_secretstringRequired

Your partner client secret obtained from the “API Credentials” section of Monite Partner Portal. Note that the sandbox and production environment use different client secrets.

tokenstringRequired
The token to revoke.

Response

Successful Response
messagestring

Errors

401
Post Auth Revoke Request Unauthorized Error
422
Post Auth Revoke Request Unprocessable Entity Error
429
Post Auth Revoke Request Too Many Requests Error